Bug 1908920 - Update python-black to 20.8~b1 in Fedora 32 and 33
Summary: Update python-black to 20.8~b1 in Fedora 32 and 33
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-black
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-17 22:47 UTC by Susi Lehtola
Modified: 2021-01-23 01:29 UTC (History)
3 users (show)

Fixed In Version: python-black-20.8~b1-1.fc33 python-black-20.8~b1-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-15 01:26:17 UTC
Type: Bug


Attachments (Terms of Use)

Description Susi Lehtola 2020-12-17 22:47:06 UTC
python-black is still at version 19.10~b0-2 in Fedora 32 and 33. This is causing problems, since the package isn't linting the same way as the newer versions. Please consider a rebuild also in Fedora 32 and 33.

Comment 1 Miro Hrončok 2020-12-17 23:10:51 UTC
That would require another exception like this one: https://pagure.io/fesco/issue/2259

Comment 2 Susi Lehtola 2020-12-17 23:25:16 UTC
Well, that's annoying... I guess I'll just resort to running the newer version in a mock chroot.

Comment 3 Miro Hrončok 2020-12-18 09:57:08 UTC
Not that annoying, really. I just need to figure out the differences and I won't be able to do that this year.

Comment 4 Miro Hrončok 2020-12-20 23:23:28 UTC
https://pagure.io/fesco/issue/2525

Comment 5 Fedora Update System 2020-12-28 20:10:51 UTC
FEDORA-2020-a453d7234b has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-a453d7234b

Comment 6 Fedora Update System 2020-12-28 20:11:51 UTC
FEDORA-2020-121b1af33c has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-121b1af33c

Comment 7 Fedora Update System 2020-12-29 01:31:21 UTC
FEDORA-2020-121b1af33c has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-121b1af33c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-121b1af33c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-12-29 01:58:13 UTC
FEDORA-2020-a453d7234b has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-a453d7234b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-a453d7234b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Miro Hrončok 2021-01-05 11:48:22 UTC
Susi, could you please test the update and provide karma?

Comment 10 Susi Lehtola 2021-01-05 16:37:53 UTC
Done

Comment 11 Fedora Update System 2021-01-15 01:26:17 UTC
FEDORA-2020-a453d7234b has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-01-23 01:29:53 UTC
FEDORA-2020-121b1af33c has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.